package com.fq.channel.sdk.base.net;

/**
 * @Description: http请求常量
 * @Author: FLuty
 * @CreateDate: 2020/4/1 15:23
 */
public class HttpConstant {
    /** 通用版服务器返回JSON数据最外层包装*/
    public static final String KEY_RESPONSE_HEAD = "head";    //状态信息
    public static final String KEY_RESPONSE_BODY = "body"; //返回数据


    public static final int HTTP_CODE_SUCCEED = 0;//网络请求成功
    public static final int HTTP_CODE_ERROR = -1;//网络请求异常错误
    public static final int HTTP_DATA_ERROR = -100;//内部数据错误(包括解析json错误)
    public static final int HTTP_NET_ERROR = -200;//网络请求异常错误

    public static final String HTTP_MSG_PARSE_ERROR = "服务器返回数据解析错误";
}